html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, sub, sup, tt, var, b, u, center, dl, dt, dd, ol, ul, li,
fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-family: 'Roboto Light', sans-serif;
    font-weight: normal;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}
html{
    scroll-behavior: smooth;
}
body {
    min-height: 100vh;
    padding: 0.5em;
    margin: 0;
    line-height: 1;
    font-size: small;
    color: var(--choco);
}
blockquote, q {
    quotes: none;
}
.disabling_layer
{
    position: fixed;
    opacity: 0.7;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    background-color: #222222;
    display: none;
    cursor: not-allowed;
}
#already_open_window_popup{
    text-align: center;
    width: 300px;
    font-weight: normal;
    padding: 1em;
    z-index: 1000
}

/*Styling table*/
table{
    width: 100%;
    table-layout: fixed;
    border-radius: 1em;
    overflow: hidden;
    border-collapse: collapse;
    position: relative;
    box-shadow: var(--shadow);
}
thead{
    height: 2em;
    text-align: center;
}
tr{
    height: 2em;
}
table th, table td{
    overflow-wrap: break-word;
    white-space: break-spaces;
}
table td:first-child, table th:first-child{
    padding-left: 1em;
}
table td:first-child, table th:first-child, table td:nth-child(2), table th:nth-child(2) {
    width: 20%;
}
table td:last-child, table th:last-child{
    padding-right: 1em;
}
td, th{
    font-size: smaller;
    vertical-align: middle;
    padding: 0 0.5em;
}
td{
    font-weight: bold;
    text-align: center;
    background: var(--mint);
}
/*td+td { !*Make first column 150px, divide width equally to the rest*!*/
/*    width: auto;*/
/*}*/
th{
    background: white;
}

/*Header and footer*/
h1, h2 {
    overflow: hidden;
    white-space: nowrap;
    margin: 0;
}
h3, h4 {
    font-weight: bold;
}

footer{
    margin-top: -1em;
    text-align: center;
    font-size: smaller;
}

/*Generic button*/
.button{
    font-weight: bold;
    display: inline-block;
    padding: 0.3em 1em;
    margin: 0 0.1em 0.1em 0;
    border: var(--choco);
    border-radius:2em;
    box-sizing: border-box;
    text-decoration:none;
    text-align:center;
    transition: all ease-in-out 0.2s;
}

.upload{
    color: var(--choco);
    border: 0.16em solid white;
    background: white;
}
.upload:hover{
    border-color: var(--mint);
}

.download{
    font-size: small;
    margin: 0;
    padding: 0 0.5em;
    color: var(--choco);
    border: white 2px solid;
    min-width: 80%;
    height: 2.5em;
    width: fit-content;
    overflow: hidden;
    background-size: 400% 100% !important;
    background: linear-gradient(to left, white 25%, white 25%, var(--mint) 50%) right;
    position: relative;
    transition: all ease-in-out 0.5s;
 }

.download:hover{
    color: var(--ultradarkmint);
    background: var(--mint);
}

.submit, .landing_button{
    font-weight: bold;
    margin: 0;
    padding: 0;
    background-color: var(--choco);
    color: var(--mint);
    width: 280px;
    height: 2.5em;
    border-radius:1em;
    cursor: pointer;
}
.submit:hover{
    background-color: var(--mint);
    color: var(--choco);
    font-size: medium;
}

.landing_button{
    font-size: medium; 
    height: 3em; 
    padding: 1em; 
    color:var(--choco); 
}
.landing_button:hover{
    background-color: #d44e29 !important;
    color: white;
}
.try{
    background-color: white;
    color: var(--darkintensemint);
    text-decoration: underline;
    cursor: pointer;
}
.try:hover{
    color: var(--choco);
    font-size: medium;
}
.help, .close{
    width: 24px;
    height: 24px;
    line-height: 20px;
    border-radius: 50%;
    border: none;
    margin:0 0.1em 0.1em 0;
    color: var(--choco);
    background: white;
    font-size:small;
    font-weight:bold;
    text-align: center;
}
.help:hover{
    cursor: help;
    border-color: var(--mint);
    background-color: var(--mint);
}
.close{
    display: block;
    background: white;
    float: right;
    margin-right: 0.5em;
    margin-bottom: 0.5em;
}
.close:hover{
    cursor: default;
    border-color: var(--warning_close);
    background-color: var(--warning_close);
    color: white;
}
/*Menu bar skeleton*/
.menu{
    display: block;
    width: 280px;
    padding: inherit;
    margin: 1em 0;
}
.menu:hover{
    cursor: default;
}
/* .outer{
} */
.header{
    font-size: medium;
    text-align: center;
    font-weight: bold;
    background: var(--mint);
    border-radius: 1em 1em 0 0;
    padding: 0.5em 0;
    margin-bottom: 0;
}
.network-option{
    text-align: center;
    font-size: small;
    margin-bottom: 0.5em;
    padding-bottom: 0;
    background: var(--lightmintgrey);
    width: 100%;
    border-radius: 1em;
}
.panel{
    font-size: small;
    font-weight: bold;
    text-align: left;
    background: var(--lightmintgrey);
    border-radius: 0 0 1em 1em;
    padding: 1em 0;
    margin-top: 0;
}
.subsection-text{
    font-size: small;
    font-weight: bold;
    margin: 1em 1em 0.5em 1em;
}
.subsubsection-text{
    font-size: smaller;
    font-weight: bold;
}
.description-text{
    font-size: x-small;
    color: var(--deeppink);
    text-align: center;
    margin: 0.5em 0 0 0;
    padding: 0 0.5em;
}
.reset{
    background: none;
    border: none;
    text-align: right;
    font-weight: normal;
    color: var(--darkmint);
}
.reset:hover{
    font-weight: bold;
    color: var(--choco);
    cursor: pointer;
}

.radio-button {
    background: white;
    text-align: var(--choco);
    line-height: normal;
}
input[type="checkbox"]{
    accent-color: var(--deeppink);
    vertical-align: middle;
    position: relative;
    bottom: 1px;
    margin-left: 1em; margin-right: 1em;
}
input[type="number"], input[type="text"]{
    vertical-align: middle;
    position: relative;
    bottom: 1px;
    margin-right: 1em; margin-left: 1em;
    width: 5em;
    border-radius: 0.5em;
    border: 1px;
    color: grey;
    text-align: center;
}
input[type=number]::-webkit-inner-spin-button {
     opacity: 1
 }

select, input[type="range"]{
    font-size: smaller;
    font-weight: normal;
    vertical-align: middle;
    position: relative;
    margin: 0;
    padding: 0;
    border-radius: 0.5em;
    width: 80%;
}
select{
    padding: 0.25em 1.25em 0.25em 0.5em;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background: white url(data:image/svg+xml;base64,PHN2ZyBpZD0iTGF5ZXJfMSIgZGF0YS1uYW1lPSJMYXllciAxIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA0Ljk1IDEwIj48ZGVmcz48c3R5bGU+LmNscy0xe2ZpbGw6I2ZmZjt9LmNscy0ye2ZpbGw6IzQ0NDt9PC9zdHlsZT48L2RlZnM+PHRpdGxlPmFycm93czwvdGl0bGU+PHJlY3QgY2xhc3M9ImNscy0xIiB3aWR0aD0iNC45NSIgaGVpZ2h0PSIxMCIvPjxwb2x5Z29uIGNsYXNzPSJjbHMtMiIgcG9pbnRzPSIxLjQxIDQuNjcgMi40OCAzLjE4IDMuNTQgNC42NyAxLjQxIDQuNjciLz48cG9seWdvbiBjbGFzcz0iY2xzLTIiIHBvaW50cz0iMy41NCA1LjMzIDIuNDggNi44MiAxLjQxIDUuMzMgMy41NCA1LjMzIi8+PC9zdmc+) no-repeat 98% 50% !important;
    background-size: 12px !important;

}
input[type="range"]{
    -webkit-appearance: none;
}
input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    background: var(--choco);
    height: 1em;
    width: 1em;
    border-radius: 50%;
    cursor: ew-resize;
    transition: background .3s ease-in-out;
}

input[type="range"]::-webkit-slider-runnable-track  {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
}

.toggle_slider, .toggle_button {
    outline: 1px solid lightgrey;
    display: block;
    position: absolute;
    margin: 0.5em 0 auto auto;
    background: #dcdcdc;
    border-radius: 2em;
    border-color: white;
    height: 15px;
    width: 30px;
    vertical-align: middle;
    cursor: pointer;
  }

.toggle_button {
    position: absolute;
    background: white;
    height: 15px;
    width: 15px;
    cursor: pointer;
  }

.toggle_input { 
    /* Hide checkbox */
    opacity: 0;
    position: relative !important;
    cursor: pointer;
    width: 15px;
    height: 15px;
    left: -15px;
    z-index: 99;
    margin-top: 0.5em
}
.toggle_input:checked {
    left: 0;
}

.toggle_input:checked ~ div .toggle_button{
    left: 15px;
    outline: 1px solid var(--deeppink);
}
.toggle_input:checked ~ div .toggle_slider{
    background: var(--deeppink);
    outline: 1px solid var(--deeppink);
}


.highlight{
    color: var(--deeppink);
}
.shadow {
     box-shadow: var(--shadow);
 }

#RunNormal:disabled{
    color: white;
    background: lightgrey;
}
#NVContent {
    width: 100%;
    height: 100%;
    position: relative;
}
#NVContent_Graph {
    background: white;
    border-radius: 1em;
    width: 100%;
    height: 100%;
    position: relative;
}
#ToggleBackgroundColor, #ToggleProteinID {
    width: fit-content;
    height: 1.5em;
    margin: 0.5em 0;
    border: 0;
    text-align: center;
}

.ShowNetworkOptions{
    border-radius: 0 0 1em 1em; 
    background: var(--deeppink); 
    color: white; 
    text-shadow: 0 0.1em 0.15em rgb(0 0 0 / 40%); 
    padding: 0.5em 0 !important;
    text-align: center !important;
}

.graph_legend{
    position: absolute; 
    bottom: 0;
    z-index: 999; 
    width: fit-content;
    height: fit-content;
    min-width: 250px;
    min-height: 200px;
    background-color: rgba(0, 0, 0, 0);
} 

#NVContent_Graph{
    position: absolute;
}

.graph-menu-button{
    margin-top: 0.5em;
    width: fit-content;
    font-size: smaller;
    border: 0;
}
.graph-menu-button:hover, #ShowNetworkOptions:hover{
    color: white;
    background: deeppink;
    box-shadow: var(--shadow);
    transition: all ease-in-out 0.2s;
}
#runNewAnalysis{
    background: var(--intensemint);
    color: white;
}
#runNewAnalysis:hover{
    background: var(--deeppink);
    color: white;
}
.warning{
    position: absolute;
    left: 0;
    width: 30%;
    min-width: 200px;
    text-align: left;
    font-size: smaller;
    font-weight: bold;
    border-radius: 1em;
    background-color: var(--warning);
    padding: 1em;
    margin: 0.5em;
    opacity: 0.9;
    transition: all ease-in-out 0.2s;
}

button[name="changeGraphColor"] {
    border-radius: 0.5em;
    border: solid white 1px;
}

button[name='Submit']:disabled {
    color: white;
    font-size: small;
}
/*list styling*/
ol, ul, li {
    list-style-position: inside;
    margin-left: 1em;
    /* text-indent: -2em; */
}

ul {
    margin-bottom: 0.5em;
}

li::marker{
    content: '●   ';
    position: relative;
    margin-right: 2em;
    padding-right: 2em;
    color: var(--intensemint);
    font-weight: bolder;
}
li li::marker {
    color: #46b088;
}
li.question {
    font-weight: bold;
    margin: 1em 0 0 0;
}
/* .input{

} */

.align_box_right{
    position: absolute;
    right: 0;
    padding: 0 1em;
    width: 15%;
    min-width: 200px;
    overflow: scroll; 
    text-align: center;
    height: -moz-available;          /* WebKit-based browsers will ignore this. */
    height: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    height: fill-available;
}

.js-plotly-plot .plotly .modebar {
    left: 50%;
    transform: translateX(-50%);
}